/*
 *  REGEXP, {akii-root}/src/regexp.h
 *
 * ==========================================================================
 *
 *                      Arena Kliens II. Releases
 *
 * ==========================================================================
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * A legkiralyabb szovegszerkeszto: VIM - Vi IMproved 5  <http://www.vim.org>
 */

#ifndef __REG_H__
#define __REG_H__ 1

typedef struct rexelem {
    int db;
    char **s;
} REXELEM;

extern int regprobal(char *s, char *reg, REXELEM *hx);
extern int regszavak(char *s, REXELEM *szavak);
extern int regqszavak(char *s, REXELEM *qszavak);
extern int torol(REXELEM *);

#endif
